summaryrefslogtreecommitdiff
path: root/dev-python/executing
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/executing')
-rw-r--r--dev-python/executing/executing-2.2.0.ebuild8
1 files changed, 7 insertions, 1 deletions
diff --git a/dev-python/executing/executing-2.2.0.ebuild b/dev-python/executing/executing-2.2.0.ebuild
index 635b40e71da5..643fe48d589f 100644
--- a/dev-python/executing/executing-2.2.0.ebuild
+++ b/dev-python/executing/executing-2.2.0.ebuild
@@ -4,7 +4,8 @@
EAPI=8
DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( pypy3 python3_{10..13} )
+PYTHON_TESTED=( pypy3 python3_{10..13} )
+PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" pypy3_11 )
inherit distutils-r1 optfeature
@@ -36,6 +37,11 @@ distutils_enable_tests pytest
export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
python_test() {
+ if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
+ einfo "Skipping tests on ${EPYTHON}"
+ return
+ fi
+
local EPYTEST_DESELECT=()
case ${EPYTHON} in
pypy3)